CREATE TABLE hxt_setup_profile_asgs (
    SETUP_PROFILE_ASG_ID     NUMBER(18, 0) ,
    SETUP_PROFILE_ASG_CD     VARCHAR2(320) ,
    MODULE_ID                VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SETUP_PROFILE_ID         NUMBER(18, 0)     NOT NULL,
    ASSIGN_TO                VARCHAR2(320)     NOT NULL,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    DATE_FROM                DATE              NOT NULL,
    DATE_TO                  DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    SETUP_PROFILE_ASG_ID     NUMBER(18, 0) ,
    SETUP_PROFILE_ASG_CD     VARCHAR2(320) ,
    MODULE_ID                VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    SETUP_PROFILE_ID         NUMBER(18, 0)     NOT NULL,
    ASSIGN_TO                VARCHAR2(320)     NOT NULL,
    OBJECT_ID                NUMBER(18, 0)     NOT NULL,
    DATE_FROM                DATE              NOT NULL,
    DATE_TO                  DATE          ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    SGUID                    VARCHAR2(128) ,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hxt_setup_profile_asgs PRIMARY KEY (SETUP_PROFILE_ASG_ID, SETUP_PROFILE_ASG_ID)
);
